Press

What is happening in our world

What Mobile Devices and Operating Systems is HomeBrite Compatible With?

The minimal system requirement for the HomeBrite app to work properly with your device is:

  • Android is 4.4.4
  • Apple iOS 8.0
  • Bluetooth (BLE) Version 4.0
Written by Feit Electric
Find the perfect bulb for your fixture

Learn More
Latest energy-saving bulbs

Browse LED bulbs

Sign-up for Feit Electric stories, news and offers

Feit Electric